Upgrade glibc 2.12 to 2.14

Upgrade glibc 2.12 to 2.14 , in some cases to install above modules the glibc 2.14 will be needed

PS: Please don't do this unless you know what you are doing as this could corrupt your system if you copied different structure files to your lib folder.

By default in CentOS/RedHAT 6.x glibc 2.12 is installed but some modules and libraries require glibc 2.14, below is a walkaround steps (PS Below tar file is for 32 Bit) :

1. Start Terminal under current user.
2. Use command: su – and type root password
3. cd /home/user/Downloads
4. wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz
5. tar zxvf glibc-2.14.tar.gz
6. cd glibc-2.14
7. mkdir build
8. cd build
9. ../configure --prefix=/opt/glibc-2.14
10. make -j4
11. make install
12. export LD_LIBRARY_PATH=/opt/glibc-2.14/lib

This was tested on CentOS 6.7 32 Bit

One thought on “Upgrade glibc 2.12 to 2.14

  1. Pingback: Failed to connect to database DB Error: extension not found Array, oh Sweet! | dotsway

Leave a Reply

Your email address will not be published. Required fields are marked *